Merge pull request #231 from peacewong/master

Modify the SQL comment standardization problem and exclude the CDH version Jasper package
diff --git a/assembly/public-module/pom.xml b/assembly/public-module/pom.xml
index ad65fcc..bd35911 100644
--- a/assembly/public-module/pom.xml
+++ b/assembly/public-module/pom.xml
@@ -17,6 +17,16 @@
             <groupId>com.webank.wedatasphere.linkis</groupId>
             <artifactId>linkis-cloudRPC</artifactId>
             <version>${linkis.version}</version>
+            <exclusions>
+                <exclusion>
+                    <groupId>tomcat</groupId>
+                    <artifactId>jasper-compiler</artifactId>
+                </exclusion>
+                <exclusion>
+                    <groupId>tomcat</groupId>
+                    <artifactId>jasper-runtime</artifactId>
+                </exclusion>
+            </exclusions>
         </dependency>
         <dependency>
             <groupId>com.webank.wedatasphere.linkis</groupId>
@@ -27,6 +37,14 @@
                     <groupId>org.apache.httpcomponents</groupId>
                     <artifactId>httpclient</artifactId>
                 </exclusion>
+                <exclusion>
+                    <groupId>tomcat</groupId>
+                    <artifactId>jasper-compiler</artifactId>
+                </exclusion>
+                <exclusion>
+                    <groupId>tomcat</groupId>
+                    <artifactId>jasper-runtime</artifactId>
+                </exclusion>
             </exclusions>
         </dependency>
         <dependency>
diff --git a/bin/install.sh b/bin/install.sh
index 718628b..6612ae7 100644
--- a/bin/install.sh
+++ b/bin/install.sh
@@ -255,7 +255,7 @@
   SERVER_IP=$local_host
 fi
 EUREKA_URL=http://$SERVER_IP:$EUREKA_PORT/eureka/
-if ! executeCMD $SERVER_IP test -e $SERVER_HOME; then
+if ! executeCMD $SERVER_IP "test -e $SERVER_HOME"; then
   executeCMD $SERVER_IP  "sudo mkdir -p $SERVER_HOME;sudo chown -R $deployUser:$deployUser $SERVER_HOME"
   isSuccess "create the dir of $SERVER_HOME"
 fi
@@ -283,7 +283,7 @@
   SERVER_IP=$local_host
 fi
 
-if ! executeCMD $SERVER_IP test -e $SERVER_HOME; then
+if ! executeCMD $SERVER_IP "test -e $SERVER_HOME"; then
   executeCMD $SERVER_IP "sudo mkdir -p $SERVER_HOME;sudo chown -R $deployUser:$deployUser $SERVER_HOME"
   isSuccess "create the dir of  $SERVER_NAME"
 fi
diff --git a/bin/start-all.sh b/bin/start-all.sh
index afe7b42..1a2f166 100644
--- a/bin/start-all.sh
+++ b/bin/start-all.sh
@@ -73,7 +73,7 @@
 
 #if there is no LINKIS_INSTALL_HOME,we need to source config again
 if [ -z ${LINKIS_INSTALL_HOME} ];then
-    echo "Warning: LINKIS_INSTALL_HOME does not exist, we will source config"
+    echo "Info: LINKIS_INSTALL_HOME does not exist, we will source config"
     if [ ! -f "${CONF_FILE}" ];then
         echo "Error: can not find config file, start applications failed"
         exit 1
@@ -95,7 +95,7 @@
   SERVER_IP=$local_host
 fi
 
-if  executeCMD $SERVER_IP test -e $SERVER_BIN; then
+if ! executeCMD $SERVER_IP "test -e $SERVER_BIN"; then
   echo "$SERVER_NAME is not installed,the startup steps will be skipped"
   return
 fi
@@ -201,6 +201,14 @@
 then
   SERVER_IP=$local_host
 fi
+
+SERVER_BIN=${LINKIS_INSTALL_HOME}/$SERVER_NAME/bin
+
+if ! executeCMD $SERVER_IP "test -e $SERVER_BIN"; then
+  echo "$SERVER_NAME is not installed,the checkServer steps will be skipped"
+  return
+fi
+
 sh $workDir/checkServices.sh $SERVER_NAME $SERVER_IP $SERVER_PORT
 isSuccess "start $SERVER_NAME "
 echo "<-------------------------------->"
diff --git a/bin/stop-all.sh b/bin/stop-all.sh
index 38bd6b7..7801940 100644
--- a/bin/stop-all.sh
+++ b/bin/stop-all.sh
@@ -95,6 +95,11 @@
   SERVER_IP=$local_host
 fi
 
+if ! executeCMD $SERVER_IP "test -e $SERVER_BIN"; then
+  echo "$SERVER_NAME is not installed,the stopApp steps will be skipped"
+  return
+fi
+
 isLocal $SERVER_IP
 flag=$?
 echo "Is local "$flag
diff --git a/db/linkis_ddl.sql b/db/linkis_ddl.sql
index af21581..206e529 100644
--- a/db/linkis_ddl.sql
+++ b/db/linkis_ddl.sql
@@ -542,7 +542,7 @@
 
 
 
---创建资源任务表,包括上传,更新,下载
+-- 创建资源任务表,包括上传,更新,下载
 drop table if exists `linkis_resources_task`;
 CREATE TABLE if not exists `linkis_resources_task` (
   `id` bigint(20) NOT NULL AUTO_INCREMENT,
diff --git a/db/module/linkis-bml.sql b/db/module/linkis-bml.sql
index d5f4b3d..b2355bf 100644
--- a/db/module/linkis-bml.sql
+++ b/db/module/linkis-bml.sql
@@ -17,10 +17,10 @@
   PRIMARY KEY (`id`)
 ) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8mb4;
 
---修改expire_type的默认值为NULL
+-- 修改expire_type的默认值为NULL
 alter table linkis_resources alter column expire_type set default null;
 
---修改expire_time的默认值为NULL
+-- 修改expire_time的默认值为NULL
 alter table linkis_resources alter column expire_time set default null;
 
 
@@ -40,15 +40,15 @@
   PRIMARY KEY (`id`)
 ) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;
 
---添加start_byte 和 end_byte 字段
+-- 添加start_byte 和 end_byte 字段
 ALTER TABLE `linkis_resources_version` ADD COLUMN `start_byte` BIGINT(20) UNSIGNED NOT NULL DEFAULT 0 AFTER `size`;
 
 ALTER TABLE `linkis_resources_version` ADD COLUMN `end_byte` BIGINT(20) UNSIGNED NOT NULL DEFAULT 0 AFTER `start_byte`;
 
---version字段修改
+-- version字段修改
 alter table `linkis_resources_version` modify column `version` varchar(20) not null;
 
---给resource_id 和 version 加上联合唯一约束
+-- 给resource_id 和 version 加上联合唯一约束
 alter table `linkis_resources_version` add unique key `resource_id_version`(`resource_id`, `version`);
 
 
@@ -75,13 +75,13 @@
 ) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;
 
 
---删除resources_version_id 字段
+-- 删除resources_version_id 字段
 alter table `linkis_resources_download_history` drop column `resources_version_id`;
 
---添加resource_id 字段
+-- 添加resource_id 字段
 alter table `linkis_resources_download_history` add column `resource_id` varchar(50) not null after `state`;
 
---添加version字段
+-- 添加version字段
 alter table `linkis_resources_download_history` add column `version` varchar(20) not null after `resource_id`;
 
 create table dws_bml_resources_contentType (
@@ -93,7 +93,7 @@
   UNIQUE KEY `whitelist_contentType_uindex` (`content_type`) USING BTREE
 ) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;
 
---创建资源任务表,包括上传,更新,下载
+-- 创建资源任务表,包括上传,更新,下载
 CREATE TABLE `linkis_resources_task` (
   `id` bigint(20) NOT NULL AUTO_INCREMENT,
   `resource_id` varchar(50) DEFAULT NULL COMMENT '资源id,资源的uuid',
diff --git a/metadata/pom.xml b/metadata/pom.xml
index 1adcbbe..f943103 100644
--- a/metadata/pom.xml
+++ b/metadata/pom.xml
@@ -133,6 +133,14 @@
                     <groupId>org.codehaus.jackson</groupId>
                     <artifactId>*</artifactId>
                 </exclusion>
+                <exclusion>
+                    <groupId>tomcat</groupId>
+                    <artifactId>jasper-compiler</artifactId>
+                </exclusion>
+                <exclusion>
+                    <groupId>tomcat</groupId>
+                    <artifactId>jasper-runtime</artifactId>
+                </exclusion>
             </exclusions>
         </dependency>
         <dependency>
@@ -164,6 +172,14 @@
                     <groupId>org.codehaus.jackson</groupId>
                     <artifactId>*</artifactId>
                 </exclusion>
+                <exclusion>
+                    <groupId>tomcat</groupId>
+                    <artifactId>jasper-compiler</artifactId>
+                </exclusion>
+                <exclusion>
+                    <groupId>tomcat</groupId>
+                    <artifactId>jasper-runtime</artifactId>
+                </exclusion>
             </exclusions>
 
         </dependency>
@@ -236,6 +252,14 @@
                     <groupId>org.codehaus.jackson</groupId>
                     <artifactId>*</artifactId>
                 </exclusion>
+                <exclusion>
+                    <groupId>tomcat</groupId>
+                    <artifactId>jasper-compiler</artifactId>
+                </exclusion>
+                <exclusion>
+                    <groupId>tomcat</groupId>
+                    <artifactId>jasper-runtime</artifactId>
+                </exclusion>
             </exclusions>
         </dependency>
 
@@ -272,6 +296,14 @@
                     <groupId>org.codehaus.jackson</groupId>
                     <artifactId>*</artifactId>
                 </exclusion>
+                <exclusion>
+                    <groupId>tomcat</groupId>
+                    <artifactId>jasper-compiler</artifactId>
+                </exclusion>
+                <exclusion>
+                    <groupId>tomcat</groupId>
+                    <artifactId>jasper-runtime</artifactId>
+                </exclusion>
             </exclusions>
         </dependency>
 
diff --git a/resourceManager/resourcemanagerserver/pom.xml b/resourceManager/resourcemanagerserver/pom.xml
index bacef88..c1d4a94 100644
--- a/resourceManager/resourcemanagerserver/pom.xml
+++ b/resourceManager/resourcemanagerserver/pom.xml
@@ -99,6 +99,14 @@
                     <groupId>org.codehaus.jackson</groupId>
                     <artifactId>jackson-mapper-asl</artifactId>
                 </exclusion>
+                <exclusion>
+                    <groupId>tomcat</groupId>
+                    <artifactId>jasper-compiler</artifactId>
+                </exclusion>
+                <exclusion>
+                    <groupId>tomcat</groupId>
+                    <artifactId>jasper-runtime</artifactId>
+                </exclusion>
             </exclusions>
         </dependency>
         <dependency>
@@ -236,6 +244,14 @@
                     <groupId>org.codehaus.jackson</groupId>
                     <artifactId>jackson-mapper-asl</artifactId>
                 </exclusion>
+                <exclusion>
+                    <groupId>tomcat</groupId>
+                    <artifactId>jasper-compiler</artifactId>
+                </exclusion>
+                <exclusion>
+                    <groupId>tomcat</groupId>
+                    <artifactId>jasper-runtime</artifactId>
+                </exclusion>
             </exclusions>
             <scope>provided</scope>
         </dependency>
diff --git a/ujes/definedEngines/hive/enginemanager/pom.xml b/ujes/definedEngines/hive/enginemanager/pom.xml
index c6e8f18..f515c18 100644
--- a/ujes/definedEngines/hive/enginemanager/pom.xml
+++ b/ujes/definedEngines/hive/enginemanager/pom.xml
@@ -46,6 +46,22 @@
                     <groupId>org.apache.httpcomponents</groupId>
                     <artifactId>httpcore</artifactId>
                 </exclusion>
+                <exclusion>
+                    <groupId>com.sun.jersey</groupId>
+                    <artifactId>*</artifactId>
+                </exclusion>
+                <exclusion>
+                    <groupId>org.codehaus.jackson</groupId>
+                    <artifactId>*</artifactId>
+                </exclusion>
+                <exclusion>
+                    <groupId>tomcat</groupId>
+                    <artifactId>jasper-compiler</artifactId>
+                </exclusion>
+                <exclusion>
+                    <groupId>tomcat</groupId>
+                    <artifactId>jasper-runtime</artifactId>
+                </exclusion>
             </exclusions>
         </dependency>
         <dependency>